SPOA(1)

NAME
spoa - SIMD partial order alignment tool

SYNOPSIS
spoa [options ...] <sequences>

DESCRIPTION
Spoa (SIMD POA) is a c++ implementation of the partial order alignment (POA) algorithm (as described in 10.1093/bioinformatics/18.3.452) which is used to generate consensus sequences (as described in 10.1093/bioinformatics/btg109). It supports three alignment modes: local (Smith-Waterman), global (Needleman-Wunsch) and semi-global alignment (overlap).

OPTIONS

<sequences>

    input file in FASTA/FASTQ format containing sequences

  Optional

-m, --match <int>

    default: 5 score for matching bases

-x, --mismatch <int>

    default: -4 score for mismatching bases

-g, --gap <int>

    default: -8 gap penalty (must be negative)

-l, --algorithm <int>

    default: 0 alignment mode:

    0 - local (Smith-Waterman) 1 - global (Needleman-Wunsch) 2 - semi-global

-r, --result <int>

    default: 0 result mode:

    0 - consensus 1 - multiple sequence alignment 2 - 0 & 1

--version

    prints the version number

-h, --help

    prints the usage

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.